package com.realnet.basic1.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.basic1.Entity.Testbug;
import com.realnet.basic1.Services.TestbugService ;




















@RequestMapping(value = "/Testbug")
 @CrossOrigin("*") 
@RestController
public class TestbugController {
	@Autowired
	private TestbugService Service;

@Value("${projectPath}")
	private String projectPath;
 




















	@PostMapping("/Testbug")
		  public Testbug Savedata(@RequestBody Testbug data) {
		Testbug save = Service.Savedata(data)	;



















		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Testbug/{id}")
	public  Testbug update(@RequestBody Testbug data,@PathVariable Integer id ) {
		Testbug update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Testbug/getall/page")
	public Page<Testbug> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Testbug> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Testbug")
	public List<Testbug> getdetails() {
		 List<Testbug> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Testbug")
	public List<Testbug> getallwioutsec() {
		 List<Testbug> get = Service.getdetails();		
		return get;
}
@GetMapping("/Testbug/{id}")
	public  Testbug  getdetailsbyId(@PathVariable Integer id ) {
		Testbug  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Testbug/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}





















}